/************************************************************************/
/* sbuffer.h - Simple buffer implementation				*/
/************************************************************************/
/*
 *  (c)2005,2023 Todd Shadburn
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
/************************************************************************/


#ifndef _SBUFFER_H_
#define _SBUFFER_H_


typedef struct _sbuffer_t sbuffer_t;

sbuffer_t *sbuffer_new(int size);
void sbuffer_free(sbuffer_t *sb);
int sbuffer_append_string(sbuffer_t *sb, char *str);
int sbuffer_append_data(sbuffer_t *sb, char *data, int len);
void sbuffer_reset(sbuffer_t *sb);
void sbuffer_get_readable(sbuffer_t *sb, char **pp, int *plen);


#endif


